'use client'
import {IUserDataProfile} from "@/types/userdata.type";
import Link from "next/link";
import {SendHorizontal} from "lucide-react";
import {Button} from "@/components/ui/button";

export function Profile({asAdmin, userData}: {asAdmin?: boolean, userData: IUserDataProfile}) {

	return (
		<section className={'flex flex-col justify-start items-center w-full min-h-screen'}>
			<div className={'flew w-full h-24 md:h-36 bg-accent opacity-55'}>

			</div>
			<div className={'flex flex-col md:flex-row justify-evenly items-center w-full min-h-36 bg-accent md:px-12'}>

				<div className={'flex flex-row justify-center md:justify-start md:ml-3 items-center gap-6 relative w-full h-full'}>

					<div
						className={'h-24 w-24 md:h-30 md:w-30 flex flex-row rounded-full bg-purple-800 justify-center items-center'}>
						<p>
							PP
						</p>
					</div>

					<div className={'flex flex-col justify-start'}>
						<span className={'flex flex-row pb-0 mb-0 gap-6'}>
							<h1	className={'text-2xl font-bold'}>{userData.displayName}</h1>
							<Link href={'#'} className={'pl-3 hover:text-primary transition-colors'}>
								<SendHorizontal/>
							</Link>
						</span>
						<p className={'italic font-light'}>{userData.username}</p>
						<div className={'flex flex-row justify-evenly items-center gap-4 mt-4'}>
							<Link href={"#"} className={'hover:font-bold'}>
								<em>{userData.following.length}</em> Follow
							</Link>
							<Link href={'#'} className={'hover:font-bold'}>
								<em>{userData.followers.length}</em> Followers
							</Link>
						</div>
					</div>

				</div>

				<div className={'flex flex-row md:flex-col justify-evenly p-2 gap-2'}>
					<div>
						{asAdmin && <Link href={'#'}>Edit Profile</Link>}
						<Button asChild><Link href={'#'}>Follow</Link></Button>
					</div>
				</div>

			</div>

		</section>
	)
}